Bug 101483 - TB NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
TB NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-01 14:17 EDT by Nikos Charonitakis
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 08:33:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2003-08-01 14:17:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; el-gr; rv:1.3.1) Gecko/20030425

Description of problem:
I ve add dsl connection to my laptop (ibm thinkpad 1200)
then when i try to start rhat-conf-network instantly crashes
giving these messages:

Component: redhat-config-network
Version: 1.3.1
Summary: TB NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 214, in __init__
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 243, in load
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 250, in loadDevices
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 312, in getDeviceList
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 135, in load
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevADSL.py",
line 33, in load
NameError: global name 'ConfDevice' is not defined

Local variables in innermost frame:
self: Device.Type=xDSL

name: ForthnetAdsl


the pcmcia card is 3com-SH572B
Note that i didnt add this card prior trying to configure dsl connection but i
simply select it through dsl conf process





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure dsl
2.start redhat-config-network
3.
    

Additional info:

Note You need to log in before you can comment on or make changes to this bug.